// ColoredTT.java

import javax.swing.*;

import java.awt.*;
import java.awt.event.*;

class ColoredTT extends JFrame
{
   ColoredTT (String title)
   {
      // Pass the title argument to the JFrame superclass so that the
      // contents of title appear in the JFrame's title bar.

      super (title);

      // Exit the application by calling System.exit when the user 
      // either selects Close from the System menu or clicks the X 
      // button.

      setDefaultCloseOperation (EXIT_ON_CLOSE);

      // Override the ToolTip.foreground color in Swing's defaults 
      // table.

      UIManager.put ("ToolTip.foreground", Color.white);

      // Override the ToolTip.background color in Swing's defaults 
      // table.

      UIManager.put ("ToolTip.background", Color.blue);

      // Create a JButton component.

      JButton btn = new JButton ("Move mouse cursor over me.");

      // Assign a ToolTip to this component.

      btn.setToolTipText ("ToolTip appears white on blue.");

      // Create a JPanel container and add the button to this 
      // container.  The resulting button can be displayed at a more 
      // natural size.

      JPanel jp = new JPanel ();
      jp.add (btn);

      // Add the JPanel container to the JFrame's content pane.

      getContentPane ().add (jp);

      // Set the size of the JFrame window.

      setSize (300, 80);

      // Show the JFrame window.

      setVisible (true);
   }

   public static void main (String [] args)
   {
      new ColoredTT ("Colored ToolTips");
  }
}
